Bug 758177 - widgets.py:2529: GtkWarning: gdk_window_invalidate_rect_full: assertion `GDK_IS_WINDOW (window)' failed
widgets.py:2529: GtkWarning: gdk_window_invalidate_rect_full: assertion `GDK_...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
16
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-29 08:17 EST by David Kovalsky
Modified: 2014-03-31 19:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-27 05:33:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2011-11-29 08:17:10 EST
When running zim terminal, this is printed (with -D, noticed while looking at something else):


DEBUG: Loading /home/dkovalsk/.config/zim/preferences.conf
DEBUG: Gtk version is (2, 24, 8)
DEBUG: Pygtk version is (2, 24, 0)
WARNING: Could not find all icon sizes for the application icon
DEBUG: Loading /home/dkovalsk/.config/zim/style.conf
DEBUG: Registered plugin <InsertDiagramPlugin object at 0x28931e0 (zim+plugins+PluginClass at 0x2924680)> for image type "diagram"
DEBUG: Loaded plugin diagrameditor (<InsertDiagramPlugin object at 0x28931e0 (zim+plugins+PluginClass at 0x2924680)>)
DEBUG: Loaded plugin printtobrowser (<PrintToBrowserPlugin object at 0x28934b0 (zim+plugins+PluginClass at 0x2924960)>)
DEBUG: Accelmap: /home/dkovalsk/.config/zim/accelmap
DEBUG: Opening notebook: file:///home/dkovalsk/.zim/Notes
DEBUG: Loading /home/dkovalsk/.zim/Notes/notebook.zim
DEBUG: Cache dir: /home/dkovalsk/.zim/Notes/.zim
DEBUG: Index database file: /home/dkovalsk/.zim/Notes/.zim/index.db
WARNING: This notebook needs to be upgraded to the latest data format
DEBUG: Loading /home/dkovalsk/.zim/Notes/.zim/state.conf
INFO: Starting async index update
DEBUG: Action: set_pathbar_recent
INFO: Open page: <FileStorePage: QFix-2011-10-26> (<HistoryPath: QFix-2011-10-26>)
DEBUG: Running QuestionDialog
DEBUG: Q: Upgrade Notebook?
/usr/lib/python2.7/site-packages/zim/gui/widgets.py:2529: GtkWarning: gdk_window_invalidate_rect_full: assertion `GDK_IS_WINDOW (window)' failed
  gtk.MessageDialog.run(self)

^^^^


Zim-0.53-1.fc16.noarch
Comment 1 Fedora Admin XMLRPC Client 2012-01-10 22:24:23 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Robin Lee 2012-05-27 05:33:08 EDT
Is it just a warning, or is there an issue associated ?

Typically these kind of warnings pop up when Gtk can not connect to the
screen, but this is not zim specific and also in some cases is not an real
problem.

-- Jaap

Note You need to log in before you can comment on or make changes to this bug.